Workflows
Create a workflow
A trigger and ordered steps. Enabled by default.
POST
/
v2
/
workflows
Create a workflow
curl --request POST \
--url https://api.opennous.cloud/v2/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Daily pipeline digest",
"trigger": {
"type": "clock",
"frequency": "daily",
"at": "08:00"
},
"steps": [
{
"type": "agent",
"prompt": "Summarise what moved in the pipeline since yesterday."
},
{
"type": "email",
"to": "team@yourco.com"
}
]
}
'import requests
url = "https://api.opennous.cloud/v2/workflows"
payload = {
"name": "Daily pipeline digest",
"trigger": {
"type": "clock",
"frequency": "daily",
"at": "08:00"
},
"steps": [
{
"type": "agent",
"prompt": "Summarise what moved in the pipeline since yesterday."
},
{
"type": "email",
"to": "team@yourco.com"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Daily pipeline digest',
trigger: {type: 'clock', frequency: 'daily', at: '08:00'},
steps: [
{type: 'agent', prompt: 'Summarise what moved in the pipeline since yesterday.'},
{type: 'email', to: 'team@yourco.com'}
]
})
};
fetch('https://api.opennous.cloud/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opennous.cloud/v2/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Daily pipeline digest',
'trigger' => [
'type' => 'clock',
'frequency' => 'daily',
'at' => '08:00'
],
'steps' => [
[
'type' => 'agent',
'prompt' => 'Summarise what moved in the pipeline since yesterday.'
],
[
'type' => 'email',
'to' => 'team@yourco.com'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opennous.cloud/v2/workflows"
payload := strings.NewReader("{\n \"name\": \"Daily pipeline digest\",\n \"trigger\": {\n \"type\": \"clock\",\n \"frequency\": \"daily\",\n \"at\": \"08:00\"\n },\n \"steps\": [\n {\n \"type\": \"agent\",\n \"prompt\": \"Summarise what moved in the pipeline since yesterday.\"\n },\n {\n \"type\": \"email\",\n \"to\": \"team@yourco.com\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.opennous.cloud/v2/workflows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Daily pipeline digest\",\n \"trigger\": {\n \"type\": \"clock\",\n \"frequency\": \"daily\",\n \"at\": \"08:00\"\n },\n \"steps\": [\n {\n \"type\": \"agent\",\n \"prompt\": \"Summarise what moved in the pipeline since yesterday.\"\n },\n {\n \"type\": \"email\",\n \"to\": \"team@yourco.com\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opennous.cloud/v2/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Daily pipeline digest\",\n \"trigger\": {\n \"type\": \"clock\",\n \"frequency\": \"daily\",\n \"at\": \"08:00\"\n },\n \"steps\": [\n {\n \"type\": \"agent\",\n \"prompt\": \"Summarise what moved in the pipeline since yesterday.\"\n },\n {\n \"type\": \"email\",\n \"to\": \"team@yourco.com\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"workflow": {
"id": "6a5b4c3d-2e1f-4a0b-9c8d-7e6f5a4b3c2d",
"name": "Daily pipeline digest",
"enabled": true,
"trigger": {
"type": "clock",
"frequency": "daily",
"at": "08:00"
},
"steps_count": 2,
"last_run_at": null,
"created_at": "2026-09-30T10:00:00Z",
"steps": [
{
"id": "step_1",
"type": "agent",
"prompt": "Summarise what moved in the pipeline since yesterday."
},
{
"id": "step_2",
"type": "email",
"to": "team@yourco.com"
}
],
"owner_user_id": "u1",
"updated_at": "2026-09-30T10:00:00Z",
"artifact": null,
"prompt": "Summarise what moved in the pipeline since yesterday.",
"destination": "email"
}
}
Workflows are in beta. Today the runner executes the first agent step and the first send step. Email and webhook sends are delivered. A Slack step is recorded, but Slack delivery is not wired yet. Other step types are validated and saved but not executed yet.
trigger and steps. Each is { type, ...settings }. See list triggers and steps for the types.
curl -X POST https://api.opennous.cloud/v2/workflows \
-H "Authorization: Bearer $NOUS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Daily pipeline digest",
"trigger": { "type": "clock", "frequency": "daily", "at": "08:00" },
"steps": [
{ "type": "agent", "prompt": "Summarise what moved in the pipeline since yesterday." },
{ "type": "email", "to": "team@yourco.com" }
]
}'
enabled: false. Enabled workflows count toward your plan’s automation limit.Authorizations
bearerAuthapiKeyHeader
Workspace API key. Create one in Settings → API keys.
Body
application/json
Response
The workflow.
Show child attributes
Show child attributes
⌘I
Create a workflow
curl --request POST \
--url https://api.opennous.cloud/v2/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Daily pipeline digest",
"trigger": {
"type": "clock",
"frequency": "daily",
"at": "08:00"
},
"steps": [
{
"type": "agent",
"prompt": "Summarise what moved in the pipeline since yesterday."
},
{
"type": "email",
"to": "team@yourco.com"
}
]
}
'import requests
url = "https://api.opennous.cloud/v2/workflows"
payload = {
"name": "Daily pipeline digest",
"trigger": {
"type": "clock",
"frequency": "daily",
"at": "08:00"
},
"steps": [
{
"type": "agent",
"prompt": "Summarise what moved in the pipeline since yesterday."
},
{
"type": "email",
"to": "team@yourco.com"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Daily pipeline digest',
trigger: {type: 'clock', frequency: 'daily', at: '08:00'},
steps: [
{type: 'agent', prompt: 'Summarise what moved in the pipeline since yesterday.'},
{type: 'email', to: 'team@yourco.com'}
]
})
};
fetch('https://api.opennous.cloud/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opennous.cloud/v2/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Daily pipeline digest',
'trigger' => [
'type' => 'clock',
'frequency' => 'daily',
'at' => '08:00'
],
'steps' => [
[
'type' => 'agent',
'prompt' => 'Summarise what moved in the pipeline since yesterday.'
],
[
'type' => 'email',
'to' => 'team@yourco.com'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opennous.cloud/v2/workflows"
payload := strings.NewReader("{\n \"name\": \"Daily pipeline digest\",\n \"trigger\": {\n \"type\": \"clock\",\n \"frequency\": \"daily\",\n \"at\": \"08:00\"\n },\n \"steps\": [\n {\n \"type\": \"agent\",\n \"prompt\": \"Summarise what moved in the pipeline since yesterday.\"\n },\n {\n \"type\": \"email\",\n \"to\": \"team@yourco.com\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.opennous.cloud/v2/workflows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Daily pipeline digest\",\n \"trigger\": {\n \"type\": \"clock\",\n \"frequency\": \"daily\",\n \"at\": \"08:00\"\n },\n \"steps\": [\n {\n \"type\": \"agent\",\n \"prompt\": \"Summarise what moved in the pipeline since yesterday.\"\n },\n {\n \"type\": \"email\",\n \"to\": \"team@yourco.com\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.opennous.cloud/v2/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Daily pipeline digest\",\n \"trigger\": {\n \"type\": \"clock\",\n \"frequency\": \"daily\",\n \"at\": \"08:00\"\n },\n \"steps\": [\n {\n \"type\": \"agent\",\n \"prompt\": \"Summarise what moved in the pipeline since yesterday.\"\n },\n {\n \"type\": \"email\",\n \"to\": \"team@yourco.com\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"workflow": {
"id": "6a5b4c3d-2e1f-4a0b-9c8d-7e6f5a4b3c2d",
"name": "Daily pipeline digest",
"enabled": true,
"trigger": {
"type": "clock",
"frequency": "daily",
"at": "08:00"
},
"steps_count": 2,
"last_run_at": null,
"created_at": "2026-09-30T10:00:00Z",
"steps": [
{
"id": "step_1",
"type": "agent",
"prompt": "Summarise what moved in the pipeline since yesterday."
},
{
"id": "step_2",
"type": "email",
"to": "team@yourco.com"
}
],
"owner_user_id": "u1",
"updated_at": "2026-09-30T10:00:00Z",
"artifact": null,
"prompt": "Summarise what moved in the pipeline since yesterday.",
"destination": "email"
}
}